
package ca.canadapost.cpcdp.serviceinfo.stub;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ca.canadapost.cpcdp.serviceinfo.stub package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetManifestServiceInfoResponse_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-manifest-service-info-response");
    private final static QName _GetBarcodeServiceInfoResponse_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-barcode-service-info-response");
    private final static QName _GetShipmentServiceInfoResponse_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-shipment-service-info-response");
    private final static QName _GetCustomerServiceInfoRequest_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-customer-service-info-request");
    private final static QName _GetManifestServiceInfoRequest_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-manifest-service-info-request");
    private final static QName _GetBarcodeServiceInfoRequest_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-barcode-service-info-request");
    private final static QName _GetUaMailingServiceInfoRequest_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-ua-mailing-service-info-request");
    private final static QName _GetAuthreturnServiceInfoResponse_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-authreturn-service-info-response");
    private final static QName _GetCustomerServiceInfoResponse_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-customer-service-info-response");
    private final static QName _GetOutletServiceInfoRequest_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-outlet-service-info-request");
    private final static QName _GetShipRateServiceInfoResponse_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-ship-rate-service-info-response");
    private final static QName _GetShipmentServiceInfoRequest_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-shipment-service-info-request");
    private final static QName _GetOutletServiceInfoResponse_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-outlet-service-info-response");
    private final static QName _GetShipRateServiceInfoRequest_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-ship-rate-service-info-request");
    private final static QName _GetAuthreturnServiceInfoRequest_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-authreturn-service-info-request");
    private final static QName _GetUaMailingServiceInfoResponse_QNAME = new QName("http://www.canadapost.ca/ws/soap/serviceinfo/v2", "get-ua-mailing-service-info-response");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ca.canadapost.cpcdp.serviceinfo.stub
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Messages }
     * 
     */
    public Messages createMessages() {
        return new Messages();
    }

    /**
     * Create an instance of {@link ServiceinfoResponseType }
     * 
     */
    public ServiceinfoResponseType createServiceinfoResponseType() {
        return new ServiceinfoResponseType();
    }

    /**
     * Create an instance of {@link ServiceinfoRequestType }
     * 
     */
    public ServiceinfoRequestType createServiceinfoRequestType() {
        return new ServiceinfoRequestType();
    }

    /**
     * Create an instance of {@link InfoMessageType }
     * 
     */
    public InfoMessageType createInfoMessageType() {
        return new InfoMessageType();
    }

    /**
     * Create an instance of {@link InfoMessagesType }
     * 
     */
    public InfoMessagesType createInfoMessagesType() {
        return new InfoMessagesType();
    }

    /**
     * Create an instance of {@link Messages.Message }
     * 
     */
    public Messages.Message createMessagesMessage() {
        return new Messages.Message();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-manifest-service-info-response")
    public JAXBElement<ServiceinfoResponseType> createGetManifestServiceInfoResponse(ServiceinfoResponseType value) {
        return new JAXBElement<ServiceinfoResponseType>(_GetManifestServiceInfoResponse_QNAME, ServiceinfoResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-barcode-service-info-response")
    public JAXBElement<ServiceinfoResponseType> createGetBarcodeServiceInfoResponse(ServiceinfoResponseType value) {
        return new JAXBElement<ServiceinfoResponseType>(_GetBarcodeServiceInfoResponse_QNAME, ServiceinfoResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-shipment-service-info-response")
    public JAXBElement<ServiceinfoResponseType> createGetShipmentServiceInfoResponse(ServiceinfoResponseType value) {
        return new JAXBElement<ServiceinfoResponseType>(_GetShipmentServiceInfoResponse_QNAME, ServiceinfoResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-customer-service-info-request")
    public JAXBElement<ServiceinfoRequestType> createGetCustomerServiceInfoRequest(ServiceinfoRequestType value) {
        return new JAXBElement<ServiceinfoRequestType>(_GetCustomerServiceInfoRequest_QNAME, ServiceinfoRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-manifest-service-info-request")
    public JAXBElement<ServiceinfoRequestType> createGetManifestServiceInfoRequest(ServiceinfoRequestType value) {
        return new JAXBElement<ServiceinfoRequestType>(_GetManifestServiceInfoRequest_QNAME, ServiceinfoRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-barcode-service-info-request")
    public JAXBElement<ServiceinfoRequestType> createGetBarcodeServiceInfoRequest(ServiceinfoRequestType value) {
        return new JAXBElement<ServiceinfoRequestType>(_GetBarcodeServiceInfoRequest_QNAME, ServiceinfoRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-ua-mailing-service-info-request")
    public JAXBElement<ServiceinfoRequestType> createGetUaMailingServiceInfoRequest(ServiceinfoRequestType value) {
        return new JAXBElement<ServiceinfoRequestType>(_GetUaMailingServiceInfoRequest_QNAME, ServiceinfoRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-authreturn-service-info-response")
    public JAXBElement<ServiceinfoResponseType> createGetAuthreturnServiceInfoResponse(ServiceinfoResponseType value) {
        return new JAXBElement<ServiceinfoResponseType>(_GetAuthreturnServiceInfoResponse_QNAME, ServiceinfoResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-customer-service-info-response")
    public JAXBElement<ServiceinfoResponseType> createGetCustomerServiceInfoResponse(ServiceinfoResponseType value) {
        return new JAXBElement<ServiceinfoResponseType>(_GetCustomerServiceInfoResponse_QNAME, ServiceinfoResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-outlet-service-info-request")
    public JAXBElement<ServiceinfoRequestType> createGetOutletServiceInfoRequest(ServiceinfoRequestType value) {
        return new JAXBElement<ServiceinfoRequestType>(_GetOutletServiceInfoRequest_QNAME, ServiceinfoRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-ship-rate-service-info-response")
    public JAXBElement<ServiceinfoResponseType> createGetShipRateServiceInfoResponse(ServiceinfoResponseType value) {
        return new JAXBElement<ServiceinfoResponseType>(_GetShipRateServiceInfoResponse_QNAME, ServiceinfoResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-shipment-service-info-request")
    public JAXBElement<ServiceinfoRequestType> createGetShipmentServiceInfoRequest(ServiceinfoRequestType value) {
        return new JAXBElement<ServiceinfoRequestType>(_GetShipmentServiceInfoRequest_QNAME, ServiceinfoRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-outlet-service-info-response")
    public JAXBElement<ServiceinfoResponseType> createGetOutletServiceInfoResponse(ServiceinfoResponseType value) {
        return new JAXBElement<ServiceinfoResponseType>(_GetOutletServiceInfoResponse_QNAME, ServiceinfoResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-ship-rate-service-info-request")
    public JAXBElement<ServiceinfoRequestType> createGetShipRateServiceInfoRequest(ServiceinfoRequestType value) {
        return new JAXBElement<ServiceinfoRequestType>(_GetShipRateServiceInfoRequest_QNAME, ServiceinfoRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-authreturn-service-info-request")
    public JAXBElement<ServiceinfoRequestType> createGetAuthreturnServiceInfoRequest(ServiceinfoRequestType value) {
        return new JAXBElement<ServiceinfoRequestType>(_GetAuthreturnServiceInfoRequest_QNAME, ServiceinfoRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceinfoResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/serviceinfo/v2", name = "get-ua-mailing-service-info-response")
    public JAXBElement<ServiceinfoResponseType> createGetUaMailingServiceInfoResponse(ServiceinfoResponseType value) {
        return new JAXBElement<ServiceinfoResponseType>(_GetUaMailingServiceInfoResponse_QNAME, ServiceinfoResponseType.class, null, value);
    }

}
